curl -X PUT https://sandbox.layerfi.com/v1/businesses/${business_id}/customers/${customer_id} \
-H "Authorization: Bearer <access_token>" \
-H "Content-Type: application/json" \
-d '{
"external_id": "customer-1",
"individual_name": "John Doe",
"company_name": "Acme, Inc.",
"email": "john@hotmail.com",
"mobile_phone": "555-555-5555",
"office_phone": "555-555-5555",
"address_string": "123 Main St, Phoenix, AZ 85001",
"notes": "This is a note"
}'
{
"data": {
"type": "CustomerData",
"id": "4f7c1b16-e057-4ec0-8b20-50308ba5b9ea",
"external_id": "customer-1",
"individual_name": "John Doe",
"company_name": "Acme, Inc.",
"email": "john@hotmail.com",
"mobile_phone": "555-555-5555",
"office_phone": "555-555-5555",
"address_string": "123 Main St, Phoenix, AZ 85001",
"notes": "This is a note",
"status": "ACTIVE",
"transaction_tags": []
}
}
Customers
Update a customer
Update an existing customer within Layer.
PUT
/
v1
/
businesses
/
{business_id}
/
customers
/
{customer_id}
curl -X PUT https://sandbox.layerfi.com/v1/businesses/${business_id}/customers/${customer_id} \
-H "Authorization: Bearer <access_token>" \
-H "Content-Type: application/json" \
-d '{
"external_id": "customer-1",
"individual_name": "John Doe",
"company_name": "Acme, Inc.",
"email": "john@hotmail.com",
"mobile_phone": "555-555-5555",
"office_phone": "555-555-5555",
"address_string": "123 Main St, Phoenix, AZ 85001",
"notes": "This is a note"
}'
{
"data": {
"type": "CustomerData",
"id": "4f7c1b16-e057-4ec0-8b20-50308ba5b9ea",
"external_id": "customer-1",
"individual_name": "John Doe",
"company_name": "Acme, Inc.",
"email": "john@hotmail.com",
"mobile_phone": "555-555-5555",
"office_phone": "555-555-5555",
"address_string": "123 Main St, Phoenix, AZ 85001",
"notes": "This is a note",
"status": "ACTIVE",
"transaction_tags": []
}
}
The
PUT endpoint updates an existing customer.
Path Parameters
Body
string
External ID for the customer within your platform. Idempotency key.
string
Name of the individual customer.
string
Name of the company customer.
string
Email address of the customer.
string
Mobile phone number of the customer.
string
Office phone number of the customer.
string
Full address of the customer.
string
Notes about the customer.
Array of Tags
Response
Returns the updated Customer objectcurl -X PUT https://sandbox.layerfi.com/v1/businesses/${business_id}/customers/${customer_id} \
-H "Authorization: Bearer <access_token>" \
-H "Content-Type: application/json" \
-d '{
"external_id": "customer-1",
"individual_name": "John Doe",
"company_name": "Acme, Inc.",
"email": "john@hotmail.com",
"mobile_phone": "555-555-5555",
"office_phone": "555-555-5555",
"address_string": "123 Main St, Phoenix, AZ 85001",
"notes": "This is a note"
}'
{
"data": {
"type": "CustomerData",
"id": "4f7c1b16-e057-4ec0-8b20-50308ba5b9ea",
"external_id": "customer-1",
"individual_name": "John Doe",
"company_name": "Acme, Inc.",
"email": "john@hotmail.com",
"mobile_phone": "555-555-5555",
"office_phone": "555-555-5555",
"address_string": "123 Main St, Phoenix, AZ 85001",
"notes": "This is a note",
"status": "ACTIVE",
"transaction_tags": []
}
}